from flask import Blueprint, make_response, render_template, request

home_bp = Blueprint("pages", __name__)


@home_bp.get("/")
def get_home():
    props = {}
    base = request.args.to_dict()
    base.pop("o", None)
    response = make_response(render_template("home.html", props=props, base=base), 200)
    response.headers["Cache-Control"] = "s-maxage=60"
    return response
